Package org.eclipse.emf.cdo.common.model

## Class EMFPredicates

- java.lang.Object
- - org.eclipse.emf.cdo.common.model.EMFPredicates

-     public final class EMFPredicates
      extends java.lang.Object

  Predefined `predicates` to test for various `feature` types.
  Since:
    4.9
  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.util.function.Predicate<EStructuralFeature>` | `ATTRIBUTES` |
    `static java.util.function.Predicate<EStructuralFeature>` | `CONTAINER_REFERENCES` |
    `static java.util.function.Predicate<EStructuralFeature>` | `CONTAINMENT_REFERENCES` |
    `static java.util.function.Predicate<EStructuralFeature>` | `CROSS_REFERENCES` |
    `static java.util.function.Predicate<EStructuralFeature>` | `REFERENCES` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ATTRIBUTES

          public static final java.util.function.Predicate<EStructuralFeature> ATTRIBUTES

    - #### REFERENCES

          public static final java.util.function.Predicate<EStructuralFeature> REFERENCES

    - #### CONTAINER_REFERENCES

          public static final java.util.function.Predicate<EStructuralFeature> CONTAINER_REFERENCES

    - #### CROSS_REFERENCES

          public static final java.util.function.Predicate<EStructuralFeature> CROSS_REFERENCES

    - #### CONTAINMENT_REFERENCES

          public static final java.util.function.Predicate<EStructuralFeature> CONTAINMENT_REFERENCES